Howto for Ubuntu 16.04

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Howto for Ubuntu 16.04

Matt .
I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
all there when I try howto's from 14.04 and such.

Is anyone able and willing to write a small howto in commands ?

Would be great.

Thanks

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

m.huijgen
Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes specifics for Ubuntu 16.04.

Hope that helps :)

Martin



From:        "Matt ." <[hidden email]>
To:        [hidden email]
Date:        19-12-2016 02:30
Subject:        [Assp-user] Howto for Ubuntu 16.04




I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
all there when I try howto's from 14.04 and such.

Is anyone able and willing to write a small howto in commands ?

Would be great.

Thanks

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

Matt .
Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
my thing atm.

On Ubuntu CPAN fails on the following:

Test Summary Report
-------------------
t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
  Non-zero exit status: 2
t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
  Non-zero exit status: 2
Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
 0.78 csys =  7.20 CPU)
Result: FAIL
Failed 2/6 test programs. 0/26 subtests failed.
Makefile:906: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255
  LEOCHARRE/PDF-OCR2-1.21.tar.gz
2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
harness failed
  make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
Email::Send is up to date (2.201).
Failed during this command:
 LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
 LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
dependency not OK (PDF::Burst); additionally test harness failed
 LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
 LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
harness failed



I'm wondering if Ubuntu doesn't supply more packages instead of using
CPAN, or can't we do different ?

2016-12-19 10:26 GMT+01:00  <[hidden email]>:

> Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes specifics
> for Ubuntu 16.04.
>
> Hope that helps :)
>
> Martin
>
>
>
> From:        "Matt ." <[hidden email]>
> To:        [hidden email]
> Date:        19-12-2016 02:30
> Subject:        [Assp-user] Howto for Ubuntu 16.04
> ________________________________
>
>
>
> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
> all there when I try howto's from 14.04 and such.
>
> Is anyone able and willing to write a small howto in commands ?
>
> Would be great.
>
> Thanks
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

m.huijgen
You need to use CPAN for Perl modules that aren't provided in the repos. Ubuntu has more modules in repos than vanilla Debian but not all of them. Not all modules are necessary though; just those that are used by ASSP functions. I know this may sound like an open door but it doesn't help to check ;)

As for the leocharre modules: make sure you installed their dependencies. In this particular case you would need to install the Ubuntu/Debian package xpdf first:
# apt-get install xpdf

If you're going to install all possible ASSP related Perl modules, this is the complete dependency list for Debian 8/Ubuntu 16.04:
make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick xpdf

Martin



From:        "Matt ." <[hidden email]>
To:        For Users of ASSP <[hidden email]>
Date:        19-12-2016 12:12
Subject:        Re: [Assp-user] Howto for Ubuntu 16.04




Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
my thing atm.

On Ubuntu CPAN fails on the following:

Test Summary Report
-------------------
t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
 Non-zero exit status: 2
t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
 Non-zero exit status: 2
Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
0.78 csys =  7.20 CPU)
Result: FAIL
Failed 2/6 test programs. 0/26 subtests failed.
Makefile:906: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255
 LEOCHARRE/PDF-OCR2-1.21.tar.gz
2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
harness failed
 make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
 reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
Email::Send is up to date (2.201).
Failed during this command:
LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
dependency not OK (PDF::Burst); additionally test harness failed
LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
harness failed



I'm wondering if Ubuntu doesn't supply more packages instead of using
CPAN, or can't we do different ?

2016-12-19 10:26 GMT+01:00  <[hidden email]>:
> Here you go:
https://vorkbaard.nl/assp-on-debian-8/ This includes specifics
> for Ubuntu 16.04.
>
> Hope that helps :)
>
> Martin
>
>
>
> From:        "Matt ." <[hidden email]>
> To:        [hidden email]
> Date:        19-12-2016 02:30
> Subject:        [Assp-user] Howto for Ubuntu 16.04
> ________________________________
>
>
>
> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
> all there when I try howto's from 14.04 and such.
>
> Is anyone able and willing to write a small howto in commands ?
>
> Would be great.
>
> Thanks
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
>
https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
>
https://lists.sourceforge.net/lists/listinfo/assp-user
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

Matt .
All packages, also xpdf are installed and I still get that error, I'm
confused. Any idea ?

2016-12-19 12:33 GMT+01:00  <[hidden email]>:

> You need to use CPAN for Perl modules that aren't provided in the repos.
> Ubuntu has more modules in repos than vanilla Debian but not all of them.
> Not all modules are necessary though; just those that are used by ASSP
> functions. I know this may sound like an open door but it doesn't help to
> check ;)
>
> As for the leocharre modules: make sure you installed their dependencies. In
> this particular case you would need to install the Ubuntu/Debian package
> xpdf first:
> # apt-get install xpdf
>
> If you're going to install all possible ASSP related Perl modules, this is
> the complete dependency list for Debian 8/Ubuntu 16.04:
> make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick
> xpdf
>
> Martin
>
>
>
> From:        "Matt ." <[hidden email]>
> To:        For Users of ASSP <[hidden email]>
> Date:        19-12-2016 12:12
> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
> ________________________________
>
>
>
> Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
> my thing atm.
>
> On Ubuntu CPAN fails on the following:
>
> Test Summary Report
> -------------------
> t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
>  Non-zero exit status: 2
> t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
>  Non-zero exit status: 2
> Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
> 0.78 csys =  7.20 CPU)
> Result: FAIL
> Failed 2/6 test programs. 0/26 subtests failed.
> Makefile:906: recipe for target 'test_dynamic' failed
> make: *** [test_dynamic] Error 255
>  LEOCHARRE/PDF-OCR2-1.21.tar.gz
> 2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
> harness failed
>  make test -- NOT OK
> //hint// to see the cpan-testers results for installing this module, try:
>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
> Email::Send is up to date (2.201).
> Failed during this command:
> LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
> LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
> dependency not OK (PDF::Burst); additionally test harness failed
> LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
> LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
> dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
> harness failed
>
>
>
> I'm wondering if Ubuntu doesn't supply more packages instead of using
> CPAN, or can't we do different ?
>
> 2016-12-19 10:26 GMT+01:00  <[hidden email]>:
>> Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes
>> specifics
>> for Ubuntu 16.04.
>>
>> Hope that helps :)
>>
>> Martin
>>
>>
>>
>> From:        "Matt ." <[hidden email]>
>> To:        [hidden email]
>> Date:        19-12-2016 02:30
>> Subject:        [Assp-user] Howto for Ubuntu 16.04
>> ________________________________
>>
>>
>>
>> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
>> all there when I try howto's from 14.04 and such.
>>
>> Is anyone able and willing to write a small howto in commands ?
>>
>> Would be great.
>>
>> Thanks
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

m.huijgen
It says "2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst)"

Are those installed? If you installed them later try installing the module (that fails to install) again. The dependencies might be fulfilled now.

If it fails again remove the module completely and retry. Not sure which command exactly to use but I'm confident Google can help you out there.

Good luck!

Martin



From:        "Matt ." <[hidden email]>
To:        For Users of ASSP <[hidden email]>
Date:        19-12-2016 13:34
Subject:        Re: [Assp-user] Howto for Ubuntu 16.04




All packages, also xpdf are installed and I still get that error, I'm
confused. Any idea ?

2016-12-19 12:33 GMT+01:00  <[hidden email]>:
> You need to use CPAN for Perl modules that aren't provided in the repos.
> Ubuntu has more modules in repos than vanilla Debian but not all of them.
> Not all modules are necessary though; just those that are used by ASSP
> functions. I know this may sound like an open door but it doesn't help to
> check ;)
>
> As for the leocharre modules: make sure you installed their dependencies. In
> this particular case you would need to install the Ubuntu/Debian package
> xpdf first:
> # apt-get install xpdf
>
> If you're going to install all possible ASSP related Perl modules, this is
> the complete dependency list for Debian 8/Ubuntu 16.04:
> make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick
> xpdf
>
> Martin
>
>
>
> From:        "Matt ." <[hidden email]>
> To:        For Users of ASSP <[hidden email]>
> Date:        19-12-2016 12:12
> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
> ________________________________
>
>
>
> Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
> my thing atm.
>
> On Ubuntu CPAN fails on the following:
>
> Test Summary Report
> -------------------
> t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
>  Non-zero exit status: 2
> t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
>  Non-zero exit status: 2
> Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
> 0.78 csys =  7.20 CPU)
> Result: FAIL
> Failed 2/6 test programs. 0/26 subtests failed.
> Makefile:906: recipe for target 'test_dynamic' failed
> make: *** [test_dynamic] Error 255
>  LEOCHARRE/PDF-OCR2-1.21.tar.gz
> 2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
> harness failed
>  make test -- NOT OK
> //hint// to see the cpan-testers results for installing this module, try:
>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
> Email::Send is up to date (2.201).
> Failed during this command:
> LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
> LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
> dependency not OK (PDF::Burst); additionally test harness failed
> LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
> LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
> dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
> harness failed
>
>
>
> I'm wondering if Ubuntu doesn't supply more packages instead of using
> CPAN, or can't we do different ?
>
> 2016-12-19 10:26 GMT+01:00  <[hidden email]>:
>> Here you go:
https://vorkbaard.nl/assp-on-debian-8/ This includes
>> specifics
>> for Ubuntu 16.04.
>>
>> Hope that helps :)
>>
>> Martin
>>
>>
>>
>> From:        "Matt ." <[hidden email]>
>> To:        [hidden email]
>> Date:        19-12-2016 02:30
>> Subject:        [Assp-user] Howto for Ubuntu 16.04
>> ________________________________
>>
>>
>>
>> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
>> all there when I try howto's from 14.04 and such.
>>
>> Is anyone able and willing to write a small howto in commands ?
>>
>> Would be great.
>>
>> Thanks
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>>
https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>>
https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
>
https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
>
https://lists.sourceforge.net/lists/listinfo/assp-user
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org!
http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

Matt .
In reply to this post by Matt .
Real issue seems to be here:

Makefile:906: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255
  LEOCHARRE/PDF-OCR2-1.21.tar.gz
  make test -- NOT OK
//hint// to see the cpan-testers results for installing this module, try:
  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
Email::Send is up to date (2.201).
Failed during this command:
 LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
 LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO
 LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO

cpan[5]>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
Distribution: L/LE/LEOCHARRE/PDF-OCR2-1.21.tar.gz
Fetching 'http://www.cpantesters.org/show/PDF-OCR2.yaml'...DONE

1.21:
  UNKNOWN 5.24.0 on Windows (Win32) 6.3 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.23.9 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.22.1 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.22.1 on Windows (Win32) 6.3 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.20.2 on Windows (Win32) 5.2 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.22.0 on Windows (Win32) 6.3 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.18.0 on Windows (Win32) 4.0 (MSWin32-x64-multi-thread)
  UNKNOWN 5.22.0 on Windows (Win32) 6.3 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.20.1 on Windows (Win32) 6.3 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.20.2 on Windows (Win32) 6.3 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.20.0 on Windows (Win32) 6.2 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.12.2 on Windows (Win32) 5.1 (MSWin32-x86-multi-thread)
  UNKNOWN 5.18.2 on Windows (Win32) 6.2 (MSWin32-x86-multi-thread)
  UNKNOWN 5.19.11 on Windows (Win32) 6.2 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.18.2 on Windows (Win32) 6.2 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.16.3 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread)
  UNKNOWN 5.18.1 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.16.0 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread)
  UNKNOWN 5.10.0 on Windows (Win32) 5.1 (MSWin32-x86-multi-thread)
  UNKNOWN 5.16.1 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread)
  UNKNOWN 5.16.3 on Windows (Win32) 5.2 (MSWin32-x64-multi-thread)
  UNKNOWN 5.18.0 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.16.3 on Windows (Win32) 5.2 (MSWin32-x86-multi-thread)
  UNKNOWN 5.16.0 on Windows (Win32) 5.2 (MSWin32-x86-multi-thread)
  UNKNOWN 5.17.10 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread-64int)
  UNKNOWN 5.16.2 on SunOS/Solaris 2.10 (i86pc-solaris-64int)
  UNKNOWN 5.10.1 on Windows (Win32) 5.1 (MSWin32-x86-multi-thread)
  UNKNOWN 5.12.3 on Windows (Win32) 5.1 (MSWin32-x86-multi-thread)
  UNKNOWN 5.14.3 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread)
  UNKNOWN 5.16.2 on Windows (Win32) 4.0 (MSWin32-x86-multi-thread)
  UNKNOWN 5.8.9 on Windows (Win32) 5.1 (MSWin32-x86-multi-thread)
  UNKNOWN 5.16.0 on Windows (Win32) 5.2 (MSWin32-x86-multi-thread)
 +PASS 5.16.0 RC0 on FreeBSD 8.0-release-p4 (i386-freebsd)
  UNKNOWN 5.10.1 on Windows (Win32) 5.2 (MSWin32-x86-multi-thread)
 +PASS 5.14.2 on FreeBSD 8.0-release (i386-freebsd)
  UNKNOWN 5.12.4 on Windows (Win32) 5.2 (MSWin32-x86-multi-thread)
 +PASS 5.12.4 on GNU/Linux 2.6.32-5-686 (i486-linux-gnu-thread-multi-64int)
 +PASS 5.10.1 on GNU/Linux 2.6.38-2-686 (i686-linux-thread-multi)
 +PASS 5.14.0 on FreeBSD 8.0-release (i386-freebsd)
 +PASS 5.8.9 on FreeBSD 8.0-release (i386-freebsd)
 +PASS 5.10.1 on FreeBSD 8.0-release (i386-freebsd)
 +PASS 5.12.3 on FreeBSD 8.0-release (i386-freebsd)
See http://www.cpantesters.org/show/PDF-OCR2.html for details





2016-12-19 13:30 GMT+01:00 Matt . <[hidden email]>:

> All packages, also xpdf are installed and I still get that error, I'm
> confused. Any idea ?
>
> 2016-12-19 12:33 GMT+01:00  <[hidden email]>:
>> You need to use CPAN for Perl modules that aren't provided in the repos.
>> Ubuntu has more modules in repos than vanilla Debian but not all of them.
>> Not all modules are necessary though; just those that are used by ASSP
>> functions. I know this may sound like an open door but it doesn't help to
>> check ;)
>>
>> As for the leocharre modules: make sure you installed their dependencies. In
>> this particular case you would need to install the Ubuntu/Debian package
>> xpdf first:
>> # apt-get install xpdf
>>
>> If you're going to install all possible ASSP related Perl modules, this is
>> the complete dependency list for Debian 8/Ubuntu 16.04:
>> make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick
>> xpdf
>>
>> Martin
>>
>>
>>
>> From:        "Matt ." <[hidden email]>
>> To:        For Users of ASSP <[hidden email]>
>> Date:        19-12-2016 12:12
>> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
>> ________________________________
>>
>>
>>
>> Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
>> my thing atm.
>>
>> On Ubuntu CPAN fails on the following:
>>
>> Test Summary Report
>> -------------------
>> t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
>>  Non-zero exit status: 2
>> t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
>>  Non-zero exit status: 2
>> Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
>> 0.78 csys =  7.20 CPU)
>> Result: FAIL
>> Failed 2/6 test programs. 0/26 subtests failed.
>> Makefile:906: recipe for target 'test_dynamic' failed
>> make: *** [test_dynamic] Error 255
>>  LEOCHARRE/PDF-OCR2-1.21.tar.gz
>> 2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>> harness failed
>>  make test -- NOT OK
>> //hint// to see the cpan-testers results for installing this module, try:
>>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
>> Email::Send is up to date (2.201).
>> Failed during this command:
>> LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
>> LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
>> dependency not OK (PDF::Burst); additionally test harness failed
>> LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
>> LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
>> dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>> harness failed
>>
>>
>>
>> I'm wondering if Ubuntu doesn't supply more packages instead of using
>> CPAN, or can't we do different ?
>>
>> 2016-12-19 10:26 GMT+01:00  <[hidden email]>:
>>> Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes
>>> specifics
>>> for Ubuntu 16.04.
>>>
>>> Hope that helps :)
>>>
>>> Martin
>>>
>>>
>>>
>>> From:        "Matt ." <[hidden email]>
>>> To:        [hidden email]
>>> Date:        19-12-2016 02:30
>>> Subject:        [Assp-user] Howto for Ubuntu 16.04
>>> ________________________________
>>>
>>>
>>>
>>> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
>>> all there when I try howto's from 14.04 and such.
>>>
>>> Is anyone able and willing to write a small howto in commands ?
>>>
>>> Would be great.
>>>
>>> Thanks
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

Matt .
In reply to this post by m.huijgen
Hi yes I saw that but why it fails is unclear, I cannot remove them as
they are not installed uzing cpanm --uninstall, investigating.

2016-12-19 14:59 GMT+01:00  <[hidden email]>:

> It says "2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst)"
>
> Are those installed? If you installed them later try installing the module
> (that fails to install) again. The dependencies might be fulfilled now.
>
> If it fails again remove the module completely and retry. Not sure which
> command exactly to use but I'm confident Google can help you out there.
>
> Good luck!
>
> Martin
>
>
>
> From:        "Matt ." <[hidden email]>
> To:        For Users of ASSP <[hidden email]>
> Date:        19-12-2016 13:34
> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
> ________________________________
>
>
>
> All packages, also xpdf are installed and I still get that error, I'm
> confused. Any idea ?
>
> 2016-12-19 12:33 GMT+01:00  <[hidden email]>:
>> You need to use CPAN for Perl modules that aren't provided in the repos.
>> Ubuntu has more modules in repos than vanilla Debian but not all of them.
>> Not all modules are necessary though; just those that are used by ASSP
>> functions. I know this may sound like an open door but it doesn't help to
>> check ;)
>>
>> As for the leocharre modules: make sure you installed their dependencies.
>> In
>> this particular case you would need to install the Ubuntu/Debian package
>> xpdf first:
>> # apt-get install xpdf
>>
>> If you're going to install all possible ASSP related Perl modules, this is
>> the complete dependency list for Debian 8/Ubuntu 16.04:
>> make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick
>> xpdf
>>
>> Martin
>>
>>
>>
>> From:        "Matt ." <[hidden email]>
>> To:        For Users of ASSP <[hidden email]>
>> Date:        19-12-2016 12:12
>> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
>> ________________________________
>>
>>
>>
>> Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
>> my thing atm.
>>
>> On Ubuntu CPAN fails on the following:
>>
>> Test Summary Report
>> -------------------
>> t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
>>  Non-zero exit status: 2
>> t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
>>  Non-zero exit status: 2
>> Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
>> 0.78 csys =  7.20 CPU)
>> Result: FAIL
>> Failed 2/6 test programs. 0/26 subtests failed.
>> Makefile:906: recipe for target 'test_dynamic' failed
>> make: *** [test_dynamic] Error 255
>>  LEOCHARRE/PDF-OCR2-1.21.tar.gz
>> 2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>> harness failed
>>  make test -- NOT OK
>> //hint// to see the cpan-testers results for installing this module, try:
>>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
>> Email::Send is up to date (2.201).
>> Failed during this command:
>> LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
>> LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
>> dependency not OK (PDF::Burst); additionally test harness failed
>> LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
>> LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
>> dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>> harness failed
>>
>>
>>
>> I'm wondering if Ubuntu doesn't supply more packages instead of using
>> CPAN, or can't we do different ?
>>
>> 2016-12-19 10:26 GMT+01:00  <[hidden email]>:
>>> Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes
>>> specifics
>>> for Ubuntu 16.04.
>>>
>>> Hope that helps :)
>>>
>>> Martin
>>>
>>>
>>>
>>> From:        "Matt ." <[hidden email]>
>>> To:        [hidden email]
>>> Date:        19-12-2016 02:30
>>> Subject:        [Assp-user] Howto for Ubuntu 16.04
>>> ________________________________
>>>
>>>
>>>
>>> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
>>> all there when I try howto's from 14.04 and such.
>>>
>>> Is anyone able and willing to write a small howto in commands ?
>>>
>>> Would be great.
>>>
>>> Thanks
>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> Assp-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/assp-user
>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

Matt .
There is an issue on the cpan with PDF::Burst I found out:


2016-12-19 15:08 GMT+01:00 Matt . <[hidden email]>:

> Hi yes I saw that but why it fails is unclear, I cannot remove them as
> they are not installed uzing cpanm --uninstall, investigating.
>
> 2016-12-19 14:59 GMT+01:00  <[hidden email]>:
>> It says "2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst)"
>>
>> Are those installed? If you installed them later try installing the module
>> (that fails to install) again. The dependencies might be fulfilled now.
>>
>> If it fails again remove the module completely and retry. Not sure which
>> command exactly to use but I'm confident Google can help you out there.
>>
>> Good luck!
>>
>> Martin
>>
>>
>>
>> From:        "Matt ." <[hidden email]>
>> To:        For Users of ASSP <[hidden email]>
>> Date:        19-12-2016 13:34
>> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
>> ________________________________
>>
>>
>>
>> All packages, also xpdf are installed and I still get that error, I'm
>> confused. Any idea ?
>>
>> 2016-12-19 12:33 GMT+01:00  <[hidden email]>:
>>> You need to use CPAN for Perl modules that aren't provided in the repos.
>>> Ubuntu has more modules in repos than vanilla Debian but not all of them.
>>> Not all modules are necessary though; just those that are used by ASSP
>>> functions. I know this may sound like an open door but it doesn't help to
>>> check ;)
>>>
>>> As for the leocharre modules: make sure you installed their dependencies.
>>> In
>>> this particular case you would need to install the Ubuntu/Debian package
>>> xpdf first:
>>> # apt-get install xpdf
>>>
>>> If you're going to install all possible ASSP related Perl modules, this is
>>> the complete dependency list for Debian 8/Ubuntu 16.04:
>>> make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick
>>> xpdf
>>>
>>> Martin
>>>
>>>
>>>
>>> From:        "Matt ." <[hidden email]>
>>> To:        For Users of ASSP <[hidden email]>
>>> Date:        19-12-2016 12:12
>>> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
>>> ________________________________
>>>
>>>
>>>
>>> Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
>>> my thing atm.
>>>
>>> On Ubuntu CPAN fails on the following:
>>>
>>> Test Summary Report
>>> -------------------
>>> t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
>>>  Non-zero exit status: 2
>>> t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
>>>  Non-zero exit status: 2
>>> Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
>>> 0.78 csys =  7.20 CPU)
>>> Result: FAIL
>>> Failed 2/6 test programs. 0/26 subtests failed.
>>> Makefile:906: recipe for target 'test_dynamic' failed
>>> make: *** [test_dynamic] Error 255
>>>  LEOCHARRE/PDF-OCR2-1.21.tar.gz
>>> 2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>>> harness failed
>>>  make test -- NOT OK
>>> //hint// to see the cpan-testers results for installing this module, try:
>>>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
>>> Email::Send is up to date (2.201).
>>> Failed during this command:
>>> LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
>>> LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
>>> dependency not OK (PDF::Burst); additionally test harness failed
>>> LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
>>> LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
>>> dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>>> harness failed
>>>
>>>
>>>
>>> I'm wondering if Ubuntu doesn't supply more packages instead of using
>>> CPAN, or can't we do different ?
>>>
>>> 2016-12-19 10:26 GMT+01:00  <[hidden email]>:
>>>> Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes
>>>> specifics
>>>> for Ubuntu 16.04.
>>>>
>>>> Hope that helps :)
>>>>
>>>> Martin
>>>>
>>>>
>>>>
>>>> From:        "Matt ." <[hidden email]>
>>>> To:        [hidden email]
>>>> Date:        19-12-2016 02:30
>>>> Subject:        [Assp-user] Howto for Ubuntu 16.04
>>>> ________________________________
>>>>
>>>>
>>>>
>>>> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
>>>> all there when I try howto's from 14.04 and such.
>>>>
>>>> Is anyone able and willing to write a small howto in commands ?
>>>>
>>>> Would be great.
>>>>
>>>> Thanks
>>>>
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Assp-user mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>>
>>>>
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Assp-user mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>
>>
>> ------------------------------------------------------------------------------
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> Assp-user mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|

Re: Howto for Ubuntu 16.04

Matt .
Oops, something went wrong with my other email.

There seems to be an issue with the PDF::Burst module for Ubuntu:

https://rt.cpan.org/Public/Bug/Display.html?id=118519

For LEOCHARRE::CLI2 I cannot find a thing.

2016-12-19 15:25 GMT+01:00 Matt . <[hidden email]>:

> There is an issue on the cpan with PDF::Burst I found out:
>
>
> 2016-12-19 15:08 GMT+01:00 Matt . <[hidden email]>:
>> Hi yes I saw that but why it fails is unclear, I cannot remove them as
>> they are not installed uzing cpanm --uninstall, investigating.
>>
>> 2016-12-19 14:59 GMT+01:00  <[hidden email]>:
>>> It says "2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst)"
>>>
>>> Are those installed? If you installed them later try installing the module
>>> (that fails to install) again. The dependencies might be fulfilled now.
>>>
>>> If it fails again remove the module completely and retry. Not sure which
>>> command exactly to use but I'm confident Google can help you out there.
>>>
>>> Good luck!
>>>
>>> Martin
>>>
>>>
>>>
>>> From:        "Matt ." <[hidden email]>
>>> To:        For Users of ASSP <[hidden email]>
>>> Date:        19-12-2016 13:34
>>> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
>>> ________________________________
>>>
>>>
>>>
>>> All packages, also xpdf are installed and I still get that error, I'm
>>> confused. Any idea ?
>>>
>>> 2016-12-19 12:33 GMT+01:00  <[hidden email]>:
>>>> You need to use CPAN for Perl modules that aren't provided in the repos.
>>>> Ubuntu has more modules in repos than vanilla Debian but not all of them.
>>>> Not all modules are necessary though; just those that are used by ASSP
>>>> functions. I know this may sound like an open door but it doesn't help to
>>>> check ;)
>>>>
>>>> As for the leocharre modules: make sure you installed their dependencies.
>>>> In
>>>> this particular case you would need to install the Ubuntu/Debian package
>>>> xpdf first:
>>>> # apt-get install xpdf
>>>>
>>>> If you're going to install all possible ASSP related Perl modules, this is
>>>> the complete dependency list for Debian 8/Ubuntu 16.04:
>>>> make build-essential libgd2-xpm-dev libssl-dev tesseract-ocr imagemagick
>>>> xpdf
>>>>
>>>> Martin
>>>>
>>>>
>>>>
>>>> From:        "Matt ." <[hidden email]>
>>>> To:        For Users of ASSP <[hidden email]>
>>>> Date:        19-12-2016 12:12
>>>> Subject:        Re: [Assp-user] Howto for Ubuntu 16.04
>>>> ________________________________
>>>>
>>>>
>>>>
>>>> Thanks a lot, I found your blog and wasn't sure as CPAN is not typical
>>>> my thing atm.
>>>>
>>>> On Ubuntu CPAN fails on the following:
>>>>
>>>> Test Summary Report
>>>> -------------------
>>>> t/89_PDF-OCR2.t           (Wstat: 512 Tests: 2 Failed: 0)
>>>>  Non-zero exit status: 2
>>>> t/94_hdreceipt.t          (Wstat: 512 Tests: 1 Failed: 0)
>>>>  Non-zero exit status: 2
>>>> Files=6, Tests=26,  8 wallclock secs ( 0.11 usr  0.07 sys +  6.24 cusr
>>>> 0.78 csys =  7.20 CPU)
>>>> Result: FAIL
>>>> Failed 2/6 test programs. 0/26 subtests failed.
>>>> Makefile:906: recipe for target 'test_dynamic' failed
>>>> make: *** [test_dynamic] Error 255
>>>>  LEOCHARRE/PDF-OCR2-1.21.tar.gz
>>>> 2 dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>>>> harness failed
>>>>  make test -- NOT OK
>>>> //hint// to see the cpan-testers results for installing this module, try:
>>>>  reports LEOCHARRE/PDF-OCR2-1.21.tar.gz
>>>> Email::Send is up to date (2.201).
>>>> Failed during this command:
>>>> LEOCHARRE/PDF-Burst-1.20.tar.gz              : make_test NO
>>>> LEOCHARRE/PDF-OCR-1.11.tar.gz                : make_test NO one
>>>> dependency not OK (PDF::Burst); additionally test harness failed
>>>> LEOCHARRE/LEOCHARRE-CLI2-1.16.tar.gz         : make_test NO
>>>> LEOCHARRE/PDF-OCR2-1.21.tar.gz               : make_test NO 2
>>>> dependencies missing (LEOCHARRE::CLI2,PDF::Burst); additionally test
>>>> harness failed
>>>>
>>>>
>>>>
>>>> I'm wondering if Ubuntu doesn't supply more packages instead of using
>>>> CPAN, or can't we do different ?
>>>>
>>>> 2016-12-19 10:26 GMT+01:00  <[hidden email]>:
>>>>> Here you go: https://vorkbaard.nl/assp-on-debian-8/ This includes
>>>>> specifics
>>>>> for Ubuntu 16.04.
>>>>>
>>>>> Hope that helps :)
>>>>>
>>>>> Martin
>>>>>
>>>>>
>>>>>
>>>>> From:        "Matt ." <[hidden email]>
>>>>> To:        [hidden email]
>>>>> Date:        19-12-2016 02:30
>>>>> Subject:        [Assp-user] Howto for Ubuntu 16.04
>>>>> ________________________________
>>>>>
>>>>>
>>>>>
>>>>> I'm trying to install ASSP on Ubuntu 16.04 but the packages are not
>>>>> all there when I try howto's from 14.04 and such.
>>>>>
>>>>> Is anyone able and willing to write a small howto in commands ?
>>>>>
>>>>> Would be great.
>>>>>
>>>>> Thanks
>>>>>
>>>>>
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>> _______________________________________________
>>>>> Assp-user mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> ------------------------------------------------------------------------------
>>>>> Check out the vibrant tech community on one of the world's most
>>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>>> _______________________________________________
>>>>> Assp-user mailing list
>>>>> [hidden email]
>>>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>>>
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Assp-user mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>>
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Check out the vibrant tech community on one of the world's most
>>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>>> _______________________________________________
>>>> Assp-user mailing list
>>>> [hidden email]
>>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Check out the vibrant tech community on one of the world's most
>>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>>> _______________________________________________
>>> Assp-user mailing list
>>> [hidden email]
>>> https://lists.sourceforge.net/lists/listinfo/assp-user
>>>

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user